org.apache.cassandra.index.sasi.analyzer.filter

## Class BasicResultFilters.NoOperation

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask<java.lang.Object,java.lang.Object>
  - - org.apache.cassandra.index.sasi.analyzer.filter.BasicResultFilters.NoOperation

- Enclosing class:
    BasicResultFilters

      public static class BasicResultFilters.NoOperation
      extends FilterPipelineTask<java.lang.Object,java.lang.Object>

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOperation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `process(java.lang.Object input)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask

      `getName, setLast`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOperation

          public NoOperation()

  - ### Method Detail

    - #### process

          public java.lang.Object process(java.lang.Object input)
                                   throws java.lang.Exception

      Specified by:
        `process` in class `FilterPipelineTask<java.lang.Object,java.lang.Object>`
      Throws:
        `java.lang.Exception`

Copyright © 2018 The Apache Software Foundation